Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231086 - Review Request: perl-Devel-Caller - Meatier versions of caller
Summary: Review Request: perl-Devel-Caller - Meatier versions of caller
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 00:46 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-13 16:03:22 UTC
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Steven Pritchard 2007-03-06 00:46:45 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Devel-Caller/perl-Devel-Caller.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Devel-Caller-0.11-1.src.rpm
Description:
Devel::Caller - Meatier versions of caller.

Comment 1 Parag AN(पराग) 2007-03-06 11:11:23 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
56c7ed8204be4e7c63d524d21fa56050  Devel-Caller-0.11.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  
+ License text is included in package.
+ %doc is small and no need to have -doc package
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ ./Build test
t/Devel-Caller....
#   Failed (TODO) test 'with lexical $foo'
#   in t/Devel-Caller.t at line 36.
#          got: 'GLOB(0x9fa1bc8)'
#     expected: 'SCALAR(0xa0773a0)'

#   Failed (TODO) test 'with lexical @foo'
#   in t/Devel-Caller.t at line 37.
#          got: 'SCALAR(0x9fb4104)'
#     expected: 'ARRAY(0xa0b4420)'

#   Failed (TODO) test 'with lexical %foo'
#   in t/Devel-Caller.t at line 38.
#          got: 'GLOB(0x9fb3fc0)'
#     expected: 'HASH(0xa0b4438)'

#   Failed (TODO) test 'with $quux'
#   in t/Devel-Caller.t at line 115.
#          got: undef
#     expected: 'SCALAR(0xa0c1d88)'

#   Failed (TODO) test 'with @quux'
#   in t/Devel-Caller.t at line 116.
#          got: undef
#     expected: 'ARRAY(0xa0c1d94)'

#   Failed (TODO) test 'with %quux'
#   in t/Devel-Caller.t at line 117.
#          got: undef
#     expected: 'HASH(0xa0c1da0)'

#   Failed (TODO) test 'with name 0'
#   in t/Devel-Caller.t at line 125.
#          got: ''
#     expected: '$main::quux'

#   Failed (TODO) test 'with name 1'
#   in t/Devel-Caller.t at line 126.
#          got: ''
#     expected: '@main::quux'

#   Failed (TODO) test 'with name 2'
#   in t/Devel-Caller.t at line 127.
#          got: ''
#     expected: '%main::quux'
#   Failed (TODO) test 'with name 0'
#   in t/Devel-Caller.t at line 134.
#          got: ''
#     expected: '*main::STDIN'

#   Failed (TODO) test 'with name 1'
#   in t/Devel-Caller.t at line 135.
#          got: ''
#     expected: '*main::STDOUT'

#   Failed (TODO) test 'with name 2'
#   in t/Devel-Caller.t at line 136.
#          got: ''
#     expected: '*main::STDERR'

#   Failed (TODO) test 'package called_assign($T::bar)'
#   in t/Devel-Caller.t at line 56.
#     Structures begin differing at:
#          $got->[0] = ''
#     $expected->[0] = '$T::bar'

#   Failed (TODO) test 'package called_assign($T::baz)'
#   in t/Devel-Caller.t at line 56.
#     Structures begin differing at:
#          $got->[0] = ''
#     $expected->[0] = '$T::baz'

#   Failed (TODO) test 'package called_assign($T::quux, $T::bar)'
#   in t/Devel-Caller.t at line 56.
#     Structures begin differing at:
#          $got->[0] = ''
#     $expected->[0] = '$T::quux'

#   Failed (TODO) test 'package called_assign(@T::bar)'
#   in t/Devel-Caller.t at line 56.
#     Structures begin differing at:
#          $got->[0] = ''
#     $expected->[0] = '@T::bar'

#   Failed (TODO) test 'package called_assign(@T::baz)'
#   in t/Devel-Caller.t at line 56.
#     Structures begin differing at:
#          $got->[0] = ''
#     $expected->[0] = '@T::baz'

#   Failed (TODO) test 'package called_assign(@T::quux, @T::bar)'
#   in t/Devel-Caller.t at line 56.
#     Structures begin differing at:
#          $got->[0] = ''
#     $expected->[0] = '@T::quux'

#   Failed (TODO) test 'package called_assign(@T::flange)'
#   in t/Devel-Caller.t at line 56.
#     Structures begin differing at:
#          $got->[0] = ''
#     $expected->[0] = '@T::flange'

#   Failed (TODO) test 'package called_assign(%T::bar)'
#   in t/Devel-Caller.t at line 56.
#     Structures begin differing at:
#          $got->[0] = ''
#     $expected->[0] = '%T::bar'

#   Failed (TODO) test 'package called_assign(%T::baz)'
#   in t/Devel-Caller.t at line 56.
#     Structures begin differing at:
#          $got->[0] = ''
#     $expected->[0] = '%T::baz'

#   Failed (TODO) test 'package called_assign(%T::quux, %T::bar)'
#   in t/Devel-Caller.t at line 56.
#     Structures begin differing at:
#          $got->[0] = ''
#     $expected->[0] = '%T::quux'

#   Failed (TODO) test 'package called_assign(%T::flange)'
#   in t/Devel-Caller.t at line 56.
#     Structures begin differing at:
#          $got->[0] = ''
#     $expected->[0] = '%T::flange'
ok    
        3/72 unexpectedly succeeded
All tests successful (3 subtests UNEXPECTEDLY SUCCEEDED).
Files=1, Tests=72,  0 wallclock secs ( 0.07 cusr +  0.01 csys =  0.08 CPU)

+Provides: Caller.so perl(DB) perl(Devel::Caller) = 0.11

APPROVED.


Comment 2 Steven Pritchard 2007-03-06 17:14:33 UTC
New Package CVS Request
=======================
Package Name: perl-Devel-Caller
Short Description: Meatier versions of caller
Owners: steve@silug.org
Branches: FC-5 FC-6
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Dennis Gilmore 2007-03-09 02:25:07 UTC
Branched

Comment 4 Steven Pritchard 2007-03-13 16:03:22 UTC
Imported and built.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.